### Method

# GdkPixbuf PixbufLoader write_bytes

since: 2.30

#### Declaration [src]

    gboolean
    gdk_pixbuf_loader_write_bytes (
      GdkPixbufLoader* loader,
      GBytes* buffer,
      GError** error
    )

#### Description [src]

Parses the next contents of the given image buffer.

Available since: 2.30

#### Parameters

`buffer`

  Type: `GBytes`

  The image data as a `GBytes` buffer.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the write was successful, or `FALSE` if the loader cannot parse the buffer.